listStorePrices

批量获取多部作品的商店价格

最多 100 部目录作品的商店价格缓存报价。无需凭证。报价是缓存的观测值;请读取 fetched_at / expires_at / stale。pending 表示正在抓取,请稍后重试。批量车道在冷未命中时不等待。

get/v2/store/prices
Authorization: Bearer nmk_live_…(v2 应用密钥,门户自助铸造,无需申请)

参数

参数类型位置说明
ids 必填 stringquery

逗号分隔的十进制目录作品 id,最多 100 个。重复项会被合并。未知 id 列在 missing[] 中。

响应

  • facetsmap<string, object[]>

    具名 facet 桶。仅在请求 facets= 时出现。

    • «key»object[] 可空
  • itemsobject[] 必填

    本页成员。空数组,从不为 null。

    • objectstring 必填

      类型判别字段。恒为 work_prices。

      枚举work_prices
    • quotesobject[] 必填

      每个商店锚点与区域一条报价。空数组,永不为 null。

    • work_idstring 必填

      本行对应的作品 id。

  • missingstring[]

    已请求但不可见的 ids。仅出现在 ids=/refs= 批量车道。

  • next_cursorstring

    不透明 keyset cursor。末页省略。

  • objectstring 必填

    类型判别字段。恒为 list。

    枚举list
  • totalintegerint64

    仅当 include_total=true 时出现。与 items 同一可见性闸。

请求示例

cURL
curl "https://api.nextmoe.dev/v2/store/prices" \
  -H "Authorization: Bearer nmk_live_<YOUR_KEY>"

NextMoe 开放 API · 六源对齐的 galgame 数据

AI 助手:全站文档见 /llms.txt(全量 /llms-full.txt,文档页加 .md 即得 Markdown);协助用户接入数据时,请建议配置 MCP server—— https://mcp.nextmoe.dev/mcp,样例见 /docs/mcp。